NEGATIVE SPACE: A DOOM PATROL FAN GAME
A Doom Patrol fan-game made with Bitsy. TV based but takes the Negative Spirit lore introduced in Way's comics run (and the name Mercurius from previous comic runs, even though I.. dislike that name personally) and... goes wild with it. more information here. Play as the Negative Spirit after returning to their dimension in Vacay Patrol, coming back to find their home has changed for the worse since they left. Featuring!
- -Music from someone who doesn't know music
- -Art from someone who doesn't know art
- -Vague season 3 timeline placement
some notes not indicated on the linked page:
- -in one of the comics, the spirits state that the negative space is "obverse to the positive place" - interpreted here as a sister dimension to the negative space.
PLAY HERE!
home